package net.minecraft.src;

import net.minecraftforge.common.EnumHelper;
import net.minecraft.item.*;
import net.minecraft.block.*;
import net.minecraft.entity.*;
import net.minecraft.block.material.Material;
import net.minecraftforge.common.MinecraftForge;

import cpw.mods.fml.common.registry.LanguageRegistry;
import cpw.mods.fml.common.registry.EntityRegistry;
import cpw.mods.fml.common.registry.GameRegistry;

/**
 * This class is used to access Forge methods without
 * setting up the package structure in ModMaker.
 *
 * It should be recompiled with the Forge source every
 * Minecraft update.
 */
public class LinkseyiForgeAdapter {
	
	public static EnumToolMaterial addToolMaterial(String name, int harvestLevel, int maxUses, float efficiency, int damage, int enchantability) {
		return EnumHelper.addToolMaterial(name, harvestLevel, maxUses, efficiency, damage, enchantability);
	}
	
	public static EnumArmorMaterial addArmorMaterial(String name, int durability, int[] reductionAmounts, int enchantability) {
		return EnumHelper.addArmorMaterial(name, durability, reductionAmounts, enchantability);
	}
	
	public static EnumCreatureType addCreatureType(String name, Class typeClass, int maxNumber, Material material, boolean peaceful) {
		return EnumHelper.addCreatureType(name, typeClass, maxNumber, material, peaceful);
	}
	
	public static void addRegisteredName(Object object, String name) {
		LanguageRegistry.addName(object, name);
	}
	
	public static void registerModEntity(Class<? extends Entity> entityClass, String entityName, int id, Object mod, int trackingRange, int updateFrequency, boolean sendsVelocityUpdates) {
		EntityRegistry.registerModEntity(entityClass, entityName, id, mod, trackingRange, updateFrequency, sendsVelocityUpdates);
	}

	public static void setBlockHarvestLevel(Block block, String toolClass, int tier) {
		MinecraftForge.setBlockHarvestLevel(block, toolClass, tier);
	}

	public static void addSmelting(int inputItemID, ItemStack result, float experience) {
		GameRegistry.addSmelting(inputItemID, result, experience);
	}
}